------------------------------------------------------------------------------------
--Name:  	baoxiang
--Creator:	由剧情表现脚本编辑器生成
--Created:	2025-04-02
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(242, 171)
LaJin(320, 10, 1, 33)
local effect_0 = CppScriptMgr:AddEffect("CartoonDisplay", 233, 173, 33, 3, 3, 3)
local player_0 = CppScriptMgr:QueryHero()
player_0:SetPos(248, 172)
player_0:SetDir(2)
CppScriptMgr:WaitMilSec(1500)
player_0:Say("The chest vanished with the Black Mist!", 1500)
CppScriptMgr:WaitMilSec(1000)
local effect_1 = CppScriptMgr:AddEffect("NineDragon", 240, 170, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(500)
local npc_0 = CppScriptMgr:AddSimplePlayer(101220, 240, 170, "MirageChest", 0, 0)
CppScriptMgr:WaitMilSec(200)
player_0:Say("The real treasure chest has appeared!", 1500)
CppScriptMgr:WaitMilSec(2800)